import { IPublicApiCommonUI, IPublicTypeContextMenuAction } from '@gant-lowcode/lowcode-types';
import { HelpTip, IEditor, Tip as InnerTip, Title as InnerTitle } from '@gant-lowcode/lowcode-editor-core';
import { editorSymbol } from '../symbols';
import { ReactElement } from 'react';
export declare class CommonUI implements IPublicApiCommonUI {
    [editorSymbol]: IEditor;
    ContextMenu: ((props: {
        menus: IPublicTypeContextMenuAction[];
        children: React.ReactElement[] | React.ReactElement;
    }) => ReactElement) & {
        create(menus: IPublicTypeContextMenuAction[], event: MouseEvent | React.MouseEvent): void;
    };
    constructor(editor: IEditor);
    get Tip(): typeof InnerTip;
    get HelpTip(): typeof HelpTip;
    get Title(): typeof InnerTitle;
}
