"use strict";

exports.__esModule = true;
exports.Clipboard = void 0;
var _symbols = require("../symbols");
var _lowcodeDesigner = require("@gant-lowcode/lowcode-designer");
var Clipboard = exports.Clipboard = /*#__PURE__*/function () {
  function Clipboard() {
    this[_symbols.clipboardSymbol] = void 0;
    this[_symbols.clipboardSymbol] = _lowcodeDesigner.clipboard;
  }
  var _proto = Clipboard.prototype;
  _proto.setData = function setData(data) {
    this[_symbols.clipboardSymbol].setData(data);
  };
  _proto.waitPasteData = function waitPasteData(keyboardEvent, cb) {
    this[_symbols.clipboardSymbol].waitPasteData(keyboardEvent, cb);
  };
  return Clipboard;
}();