import _extends from "@babel/runtime/helpers/extends";
import _createClass from "@babel/runtime/helpers/createClass";
import { HelpTip, Tip as InnerTip, Title as InnerTitle } from '@gant-lowcode/lowcode-editor-core';
import { ContextMenu } from '../components/context-menu';
import { editorSymbol } from '../symbols';
export var CommonUI = /*#__PURE__*/function () {
  function CommonUI(editor) {
    this[editorSymbol] = void 0;
    this.ContextMenu = void 0;
    this[editorSymbol] = editor;
    var innerContextMenu = function innerContextMenu(props) {
      var pluginContext = editor.get('pluginContext');
      return /*#__PURE__*/React.createElement(ContextMenu, _extends({}, props, {
        pluginContext: pluginContext
      }));
    };
    innerContextMenu.create = function (menus, event) {
      var pluginContext = editor.get('pluginContext');
      return ContextMenu.create(pluginContext, menus, event);
    };
    this.ContextMenu = innerContextMenu;
  }
  return _createClass(CommonUI, [{
    key: "Tip",
    get: function get() {
      return InnerTip;
    }
  }, {
    key: "HelpTip",
    get: function get() {
      return HelpTip;
    }
  }, {
    key: "Title",
    get: function get() {
      return InnerTitle;
    }
  }]);
}();