"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.CommonUI = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _lowcodeEditorCore = require("@gant-lowcode/lowcode-editor-core");
var _contextMenu = require("../components/context-menu");
var _symbols = require("../symbols");
var CommonUI = exports.CommonUI = /*#__PURE__*/function () {
  function CommonUI(editor) {
    this[_symbols.editorSymbol] = void 0;
    this.ContextMenu = void 0;
    this[_symbols.editorSymbol] = editor;
    var innerContextMenu = function innerContextMenu(props) {
      var pluginContext = editor.get('pluginContext');
      return /*#__PURE__*/React.createElement(_contextMenu.ContextMenu, (0, _extends2["default"])({}, props, {
        pluginContext: pluginContext
      }));
    };
    innerContextMenu.create = function (menus, event) {
      var pluginContext = editor.get('pluginContext');
      return _contextMenu.ContextMenu.create(pluginContext, menus, event);
    };
    this.ContextMenu = innerContextMenu;
  }
  return (0, _createClass2["default"])(CommonUI, [{
    key: "Tip",
    get: function get() {
      return _lowcodeEditorCore.Tip;
    }
  }, {
    key: "HelpTip",
    get: function get() {
      return _lowcodeEditorCore.HelpTip;
    }
  }, {
    key: "Title",
    get: function get() {
      return _lowcodeEditorCore.Title;
    }
  }]);
}();